FGELEV(1)

NAME
fgelev - Compute FlightGear scenery elevation for a given list of points

SYNOPSIS
fgelev [--expire num] [--print-solidness] [--fg-root rootdir] [--fg-scenery scenerydir]

DESCRIPTION
fgelev is a standalone utility that, given a list of points on standard input, prints the corresponding elevation for each of them on standard output. It can also (optionally) print whether the material covering that point is solid or not. The list of points must be in the following form:
    id lon lat where id is an arbitrary identifier for the point, lon is the longitude of the point and lat is the latitude of the point. Positive longitudes (latitudes) correspond to points located in the Eastern (Northern) hemisphere; negative ones correspond to points located in the Western (Southern) hemisphere. The list of elevations returned by fgelev is in the following form:
    id: elev solid where id is the identifier of the point passed as input, elev is the elevation of the point in meters (or -1000 if the elevation of the given point was not found) and solid is:

•   the string solid if the parameter --print-solidness was passed to fgelev and the material covering the point is solid;

•   the string - if the parameter --print-solidness was passed to fgelev and the material covering the point is not solid;

•   absent if the parameter --print-solidness was not passed to fgelev.

OPTIONS

--expire num
    To speed up elevation data retrieval, fgelev uses an internal cache. This option lets the user specify the number of requests after which, if a point was not queried in them, it should be marked as expired. By default, fgelev expires points not queried in the last 10 requests.

--print-solidness
    Require fgelev to print the solidness of the material covering the queried point. See the DESCRIPTION section for more details.

--fg-root rootdir
    Set the FlightGear data root directory ($FG_ROOT) to rootdir. If this option is not set, fgelev uses the path specified in the FG_ROOT environment variable or, absent that, the FlightGear data directory chosen at the time the program was compiled.

--fg-scenery scenerydir
    Set the FlightGear scenery directory ($FG_SCENERY) to scenerydir. If this option is not set, fgelev uses the path specified in the FG_SCENERY environment variable or, absent that, the Scenery subdirectory inside $FG_ROOT.

EXIT STATUS
fgelev exits with EXIT_SUCCESS on success, with EXIT_FAILURE if it is unable to read data from standard input or to load the scenery.

ENVIRONMENT

FG_ROOT
    If FG_ROOT is set and --fg-root is not set, it specifies the root data directory to use.

FG_SCENERY
    If FG_SCENERY is set and --fg-scenery is not set, it specifies the scenery directory to use.

SEE ALSO
fgfs(1)